import { Selector } from '@ngxs/store';
import { AppState, AppStateModel } from '../state/app.state';

export class AppSelectors {
  @Selector([AppState])
  static getActiveModule(state: AppStateModel) {
    return state.activeModule;
  }

  @Selector([AppState])
  static getCurrentProcessId(state: AppStateModel) {
    return state.currentProcesssId;
  }
}
